@extends('layouts.app')

@section('content')

<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-8 main-area">
            <h1 style="text-align: center;">
                健康達標GO 大獎汽車不是夢
            </h1>
        </div>
    </div>
    <div style="height:20px;">&nbsp;</div>

    <div class="row justify-content-center">
        <div class="col-md-8 main-area">
            <h3>得健康、拿大獎！抽汽車就是這麼簡單</h3>
            <p>
                只要您符合活動對象並於活動期間改善健康狀況即達標，
                不僅生活品質升級，
                獎品也Level Up！
            </p>
            <h3>一、活動規則</h3>
            <ol>
                <li>
                    活動期間<br>
                    114 年 1 月 1 日至 9 月 30 日止。
                </li>
                <li>
                    活動對象<br>
                    設籍桃園市，並於桃園市醫療院所參與下列任一計畫或方案者：<br>
                    ● 代謝症候群防治計畫<br>
                    ● 糖尿病及初期慢性腎臟病照護整合方案

                </li>
                <li>
                    活動方式<br>
                    步驟一｜至桃園市醫療院所追蹤。<br>
                    步驟二｜健康達標並請醫師於記錄小卡對應疾病處核章、並取得檢查報告(<a href="{{asset('assets/doc/114health-exam-form.pdf')}}" target="_blank">格式下載</a>)。<br>
                    
                    <table class="inner-table">
                        <tr>
                            <th>對象</th>
                            <th>達標定義</th>
                        </tr>
                        <tr>
                            <th>代謝症候群個案</th>
                            <td>
                                1.代謝症候群者改善已非屬代謝症候群者（即代謝症候群指標3項或3項以上達標）<br>
                                2.糖尿病前期者改善已非糖尿病前期（即HbA1c＜5.7%）
                            </td>
                        </tr>
                        <tr>
                            <th>糖尿病個案</th>
                            <td>
                                於桃園市同一院所進行2次（含）以上照護（收案、追蹤管理、年度評估）且至少2次HbA1c值於80歲（含）以下≦7%，81歲（含）以上≦8%
                            </td>
                        </tr>
                        <tr>
                            <th>初期慢性腎臟病個案</th>
                            <td>
                                於桃園市同一院所進行1次（含）以上照護（追蹤管理），且判定慢性腎臟病分期較前次照護時改善或維持之個案（如由stage2改善為stage1，或維持在stage2者）
                            </td>
                        </tr>
                        <tr>
                            <td colspan="2">
                                <p style="text-indent: -3em; padding-left: 3em;">備註：若為糖尿病合併初期慢性腎臟病個案，可同時進行糖尿病及初期慢性腎臟病之抽獎活動，但不可重複獲獎。</p>
                            </td>
                        </tr>
                    </table>
                    步驟三｜資料上傳活動平台。<br>
                    　☑ 記錄小卡(核章)<br>
                    　☑ 身分證正反面<br>
                    　☑ 檢查報告
                </li>
                <li>
                    活動好禮<br>
                    經審核合格者，<span style="color:red;">皆可獲得抽獎資格</span>。
                </li>
            </ol>

            <h3>二、注意事項</h3>
            <p>&nbsp;&nbsp;每人僅限<span style="color:red;">一次</span>獲獎機會，若重複獲獎則以<span style="color:red;">首次中獎品項為主</span>。</p>
            <p>&nbsp;</p>
            <a class="btn btn-success" href="{{asset('assets/images/improved_health_comic_01.jpg')}}" target="_blank">下載懶人包(另開視窗)</a>
            <a class="btn btn-success" href="{{asset('assets/images/improved_health_intro_01.jpg')}}" target="_blank">下載簡章(另開視窗)</a>
            
        </div>
    </div>
    <div>&nbsp;</div>
    <div class="row justify-content-center">
        <div class="col-md-8 main-area">
            <h3>
                活動獎項
            </h3>
            <table style="border: solid 1px gray">
                <tr>
                    <td colspan="2">獎品內容</td>
                    <!--<td width="20%">單價</td>-->
                    <td width="10%">數量</td>
                </tr>
                <tr style="border: solid 1px gray">
                    <td>中華三菱汽車OUTLANDER 2.4L</td>
                    <td style="padding:5px;"><img src="{{asset('assets/images/prize/car.jpg')}}" width="80%"></td>
                    <!--<td></td>-->
                    <td>1</td>
                </tr>
                <tr style="border: solid 1px gray">
                    <td>eReady電動機車</td>
                    <td style="padding:5px;"><img src="{{asset('assets/images/prize/emotor.png')}}" width="80%"></td>
                    <!--<td></td>-->
                    <td>3</td>
                </tr>
                <tr style="border: solid 1px gray">
                    <td>iPhone 16 Pro 128G</td>
                    <td style="padding:5px;"><img src="{{asset('assets/images/prize/iphone.png')}}" width="80%"></td>
                    <!--<td></td>-->
                    <td>3</td>
                </tr>

                <tr style="border: solid 1px gray">
                    <td>Apple Watch Series 10</td>
                    <td style="padding:5px;"><img src="{{asset('assets/images/prize/watch.jpg')}}" width="80%"></td>
                    <!--<td></td>-->
                    <td>3</td>
                </tr>

                <tr style="border: solid 1px gray">
                    <td>PHILIPS 數位海星氣炸鍋 4.1L-小白</td>
                    <td style="padding:5px;"><img src="{{asset('assets/images/prize/airfryer.png')}}" width="80%"></td>
                    <!--<td></td>-->
                    <td>10</td>
                </tr>

                <tr style="border: solid 1px gray">
                    <td>URBAN XCAPE 腳踏車</td>
                    <td style="padding:5px;"><img src="{{asset('assets/images/prize/bike.jpg')}}" width="80%"></td>
                    <!--<td></td>-->
                    <td>5</td>
                </tr>

                <tr style="border: solid 1px gray">
                    <td>新台幣2000元等值商品卡</td>
                    <td style="padding:5px;"><img src="{{asset('assets/images/prize/giftcard-2000.jpg')}}" width="80%"></td>
                    <!--<td></td>-->
                    <td>100</td>
                </tr>

                <tr style="border: solid 1px gray">
                    <td>新台幣1000元等值商品卡</td>
                    <td style="padding:5px;"><img src="{{asset('assets/images/prize/giftcard-1000.png')}}" width="80%"></td>
                    <!--<td></td>-->
                    <td>100</td>
                </tr>
                <tr style="border: solid 1px gray">
                    <td>新台幣500元等值商品卡</td>
                    <td style="padding:5px;"><img src="{{asset('assets/images/prize/giftcard-500.png')}}" width="80%"></td>
                    <!--<td></td>-->
                    <td>100</td>
                </tr>
                <tr style="border: solid 1px gray">
                    <td>福爾益康語音型2合1血糖血壓測試系統+血糖試片
                        <br>型號：TD-3261G / 4G傳輸版本
                        <br>血糖試片：TD-3261 / 50片裝
                    </td>
                    <td style="padding:5px;"><img src="{{asset('assets/images/prize/td-3261g.jpg')}}" width="80%"></td>
                    <!--<td></td>-->
                    <td>175</td>
                </tr>
                
            </table>
        </div>
    </div>
    <div>&nbsp;</div>
    <div class="row justify-content-center">
        <div class="col-md-8 main-area">
            @if ($enable)
            <span style="">
                <input type="checkbox" class="form-check-input" id="regAgree1" required>
                <label class="form-check-label" for="regAgree1">本人設籍於桃園市</label>
            </span><br>
            <span style="">
                <input type="checkbox" class="form-check-input" id="regAgree" required>
                <label class="form-check-label" for="regAgree">本人同意 &nbsp; <a href="/picm" target="_blank">「桃園市政府個人資料收集辦法」</a></label>
            </span>
            
            <div>&nbsp;</div>
            <button id="btnFillForm" class="btn btn-primary">前往報名</button>
            @else
            <p>活動已載止</p>
            @endif
            <div>&nbsp;</div>
            <button id="btnSearch" class="btn btn-primary">查詢審核狀態</button>
        </div>
    </div>
</div>

<!-- Modal -->
<div class="modal fade" id="staticBackdrop" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" aria-labelledby="staticBackdropLabel" aria-hidden="true">
  <div class="modal-dialog modal-xl">
    <div class="modal-content">
      <div class="modal-body">
        <button type="button" id="staticBackdrop-btn-close" class="btn-close" data-bs-dismiss="modal" aria-label="關閉"></button>
        <label for="staticBackdrop-btn-close">
            <img src="{{asset('assets/images/improved_health_comic_01.jpg')}}" width="100%">
        </label>
        
      </div>
    </div>
  </div>
</div>

@endsection

@section('script')
<script>
    $(document).ready(function(){
        $('#staticBackdrop').modal('show');
        $('#btnFillForm').click(function(){
            if (!$('#regAgree1').is(':checked')) {
                alert('請勾選「本人設籍於桃園市」');
                return;
            }
            if (!$('#regAgree').is(':checked')) {
                alert('請勾選「本人同意 桃園市政府個人資料收集辦法」');
                return;
            }
            window.location='/improved_health_fill_form';
        });
        $('#btnSearch').click(function(){
            window.location='/improved_health_check';
        });
    });
</script>
@endsection